Bug 863431 - Segfault in Xvnc session when running Gnome Shell
Segfault in Xvnc session when running Gnome Shell
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 09:12 EDT by Aaron Sowry
Modified: 2013-07-27 21:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: tigervnc-1.3.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-27 21:05:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Sowry 2012-10-05 09:12:56 EDT
Description of problem:
Xvnc segfaults after a short time when running Gnome Shell in a VNC session

Version-Release number of selected component (if applicable):
tigervnc-server-1.1.0-6.1.fc17.x86_64
gnome-shell-3.4.1-5.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start an Xvnc server - for example:

$ /usr/bin/Xvnc :1 -query localhost -geometry 1024x768 -depth 16 -ac +extension Composite passwordFile=~/.vnc/passwd

2. Connect to Xvnc server, e.g.:

$ /usr/bin/vncviewer localhost:1

3. Launch a Gnome Shell session on the Xvnc server. e.g.:

$ DISPLAY=:1 dbus-launch gnome-session --session=gnome

4. Click around a bit, launch some things, move them around and wait for the crash.
  
Actual results:
Backtrace:
0: /usr/bin/Xvnc (xorg_backtrace+0x36) [0x591236]
1: /usr/bin/Xvnc (0x400000+0x194c99) [0x594c99]
2: /lib64/libpthread.so.0 (0x3083c00000+0xefe0) [0x3083c0efe0]
3: /usr/bin/Xvnc (_ZN11InputDevice8keyEventEjb+0x46) [0x506ca6]
4: /usr/bin/Xvnc (_ZN3rfb16VNCSConnectionST8keyEventEjb+0x100) [0x525f70]
5: /usr/bin/Xvnc (_ZN3rfb16VNCSConnectionST15processMessagesEv+0x38) [0x5252d8]
6: /usr/bin/Xvnc (_ZN14XserverDesktop13wakeupHandlerEP6fd_seti+0x177) [0x505b07]
7: /usr/bin/Xvnc (0x400000+0xfc49c) [0x4fc49c]
8: /usr/bin/Xvnc (WakeupHandler+0x6b) [0x54842b]
9: /usr/bin/Xvnc (WaitForSomething+0x1a6) [0x58ed46]
10: /usr/bin/Xvnc (Dispatch+0xa1) [0x544211]
11: /usr/bin/Xvnc (main+0x35a) [0x441c5a]
12: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3083821735]
13: /usr/bin/Xvnc (0x400000+0x4309d) [0x44309d]

Segmentation fault at address 0xb8

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting


Additional info:
My eventual screen size was actually larger than what I specified as -geometry on the command line - it took up the entirety of my screen (1920x1200). Not sure if that matters.
Comment 2 Fedora Admin XMLRPC Client 2013-05-13 10:55:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Tim Waugh 2013-05-23 11:44:41 EDT
Are you still seeing this problem?  It would help to see a more complete backtrace, which you can obtain by first running "debuginfo-install tigervnc-server".
Comment 4 Aaron Sowry 2013-05-24 03:45:41 EDT
Yes, the bug is still present in F18. It seems to be fixed upstream though - I can't reproduce the bug using TigerVNC trunk.

Installing the debuginfo packages didn't appear to improve the backtrace unfortunately.
Comment 5 Fedora End Of Life 2013-07-04 00:08:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Tim Waugh 2013-07-08 12:35:12 EDT
Should be fixed in tigervnc-1.3.0-1.fc19.
Comment 7 Fedora Update System 2013-07-08 12:38:09 EDT
tigervnc-1.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tigervnc-1.3.0-1.fc19
Comment 8 Fedora Update System 2013-07-24 12:51:57 EDT
tigervnc-1.3.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tigervnc-1.3.0-3.fc19
Comment 9 Fedora Update System 2013-07-25 20:36:14 EDT
Package tigervnc-1.3.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tigervnc-1.3.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13650/tigervnc-1.3.0-3.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-07-27 21:05:07 EDT
tigervnc-1.3.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.